//SwtHelloWorld.java
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.*;
import org.eclipse.swt.events.*;

public class SWTToolbar {
	private Display d;
	private Shell s;

	SWTToolbar() {
    d = new Display();
    s = new Shell(d);
    s.setSize(200,200);
	s.setText("Toolbar");

	Menu m = new Menu(s, SWT.BAR);
	final MenuItem file = new MenuItem(m, SWT.CASCADE);
	file.setText("&File");
	final Menu filemenu = new Menu(s, SWT.DROP_DOWN);
	file.setMenu(filemenu);
	final MenuItem openMenuItem = new MenuItem(filemenu, SWT.PUSH);
	openMenuItem.setText("&Open\tCTRL+O");
	openMenuItem.setAccelerator(SWT.CTRL+'O');
	final MenuItem saveMenuItem = new MenuItem(filemenu, SWT.PUSH);
	saveMenuItem.setText("&Save\tCTRL+S");
	saveMenuItem.setAccelerator(SWT.CTRL+'S');
	final MenuItem separator = new MenuItem(filemenu, SWT.SEPARATOR);
	final MenuItem exitMenuItem = new MenuItem(filemenu, SWT.PUSH);
	exitMenuItem.setText("E&xit");

	final MenuItem edit = new MenuItem(m, SWT.CASCADE);
	edit.setText("&Edit");
	final Menu editmenu = new Menu(s, SWT.DROP_DOWN);
	edit.setMenu(editmenu);
	final MenuItem cutMenuItem = new MenuItem(editmenu, SWT.PUSH);
	cutMenuItem.setText("&Cut");
	final MenuItem copyMenuItem = new MenuItem(editmenu, SWT.PUSH);
	copyMenuItem.setText("Co&py");
	final MenuItem pasteMenuItem = new MenuItem(editmenu, SWT.PUSH);
	pasteMenuItem.setText("&Paste");

    s.setMenuBar(m);
	openMenuItem.addSelectionListener(new SelectionListener( ) {
		public void widgetSelected(SelectionEvent e) {
			System.out.println("Open");
		}
		public void widgetDefaultSelected(SelectionEvent e) {
		}
		});

	saveMenuItem.addSelectionListener(new SelectionListener( ) {
		public void widgetSelected(SelectionEvent e) {
			System.out.println("Save");
		}
		public void widgetDefaultSelected(SelectionEvent e) {
		}
		});

	exitMenuItem.addSelectionListener(new SelectionListener( ) {
		public void widgetSelected(SelectionEvent e) {
			System.exit(0);
		}
		public void widgetDefaultSelected(SelectionEvent e) {
		}
		});

    s.open();
    while (!s.isDisposed()) {
      if (!d.readAndDispatch()) {
        d.sleep();
      }
    }
    d.dispose();
}
  public static void main(String[] args) {
		new SWTToolbar();
  }
}